{
    onFaint(target, source) {
      let activated = false;
      for (const pokemon of this.getAllActive()) {
        if (pokemon === target || pokemon.fainted)
          continue;
        if (!activated) {
          this.add("-ability", source, "Poison Pop");
          activated = true;
        }
        pokemon.trySetStatus("psn", source);
      }
    },
    flags: {},
    name: "Poison Pop",
    rating: 2.5,
    num: -32069
}